#
# Copyright (C) 2014 The Android Open Source Project
# Copyright 2015 Sony Corporation.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

ifeq (linux,$(findstring linux,$(TARGET_PRODUCT)))
# do compile only bare linux target.

LOCAL_PATH := $(call my-dir)

#
# i2c-tools pseudo module
#
include $(CLEAR_VARS)
LOCAL_MODULE := i2c-tools
LOCAL_MODULE_TAGS := debug
LOCAL_REQUIRED_MODULES := i2cdetect i2cdump i2cset i2cget
include $(BUILD_PHONY_PACKAGE)


#
# Build i2cdetect command
#
include $(CLEAR_VARS)
LOCAL_CFLAGS := -Wstrict-prototypes -Wshadow -Wpointer-arith -Wcast-qual \
		   -Wcast-align -Wwrite-strings -Wnested-externs -Winline \
		   -W -Wundef -Wmissing-prototypes -Iinclude
LOCAL_C_INCLUDES := \
	$(LOCAL_PATH)/include

#LOCAL_SRC_FILES := i2cbusses.c i2cdetect.c i2cdump.c i2cset.c i2cget.c util.c
LOCAL_SRC_FILES := tools/i2cdetect.c tools/i2cbusses.c lib/smbus.c
LOCAL_MODULE := i2cdetect
LOCAL_MODULE_PATH := $(TARGET_OUT_OPTIONAL_EXECUTABLES)
#LOCAL_MODULE_TAGS := optional
LOCAL_MODULE_TAGS := debug

include $(BUILD_EXECUTABLE)

#
# Build i2cdump command
#
include $(CLEAR_VARS)
LOCAL_CFLAGS := -Wstrict-prototypes -Wshadow -Wpointer-arith -Wcast-qual \
		   -Wcast-align -Wwrite-strings -Wnested-externs -Winline \
		   -W -Wundef -Wmissing-prototypes -Iinclude
LOCAL_C_INCLUDES := \
	$(LOCAL_PATH)/include

#LOCAL_SRC_FILES := i2cbusses.c i2cdetect.c i2cdump.c i2cset.c i2cget.c util.c
LOCAL_SRC_FILES := tools/i2cdump.c tools/i2cbusses.c lib/smbus.c tools/util.c
LOCAL_MODULE := i2cdump
LOCAL_MODULE_PATH := $(TARGET_OUT_OPTIONAL_EXECUTABLES)
#LOCAL_MODULE_TAGS := optional
LOCAL_MODULE_TAGS := debug

include $(BUILD_EXECUTABLE)

#
# Build i2cset command
#
include $(CLEAR_VARS)
LOCAL_CFLAGS := -Wstrict-prototypes -Wshadow -Wpointer-arith -Wcast-qual \
		   -Wcast-align -Wwrite-strings -Wnested-externs -Winline \
		   -W -Wundef -Wmissing-prototypes -Iinclude
LOCAL_C_INCLUDES := \
	$(LOCAL_PATH)/include

#LOCAL_SRC_FILES := i2cbusses.c i2cdetect.c i2cdump.c i2cset.c i2cget.c util.c
LOCAL_SRC_FILES := tools/i2cset.c tools/i2cbusses.c lib/smbus.c tools/util.c
LOCAL_MODULE := i2cset
LOCAL_MODULE_PATH := $(TARGET_OUT_OPTIONAL_EXECUTABLES)
#LOCAL_MODULE_TAGS := optional
LOCAL_MODULE_TAGS := debug

include $(BUILD_EXECUTABLE)

#
# Build i2cget command
#
include $(CLEAR_VARS)
LOCAL_CFLAGS := -Wstrict-prototypes -Wshadow -Wpointer-arith -Wcast-qual \
		   -Wcast-align -Wwrite-strings -Wnested-externs -Winline \
		   -W -Wundef -Wmissing-prototypes -Iinclude
LOCAL_C_INCLUDES := \
	$(LOCAL_PATH)/include

#LOCAL_SRC_FILES := i2cbusses.c i2cdetect.c i2cdump.c i2cset.c i2cget.c util.c
LOCAL_SRC_FILES := tools/i2cget.c tools/i2cbusses.c lib/smbus.c tools/util.c
LOCAL_MODULE := i2cget
LOCAL_MODULE_PATH := $(TARGET_OUT_OPTIONAL_EXECUTABLES)
#LOCAL_MODULE_TAGS := optional
LOCAL_MODULE_TAGS := debug

include $(BUILD_EXECUTABLE)
endif
